Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSMovieEvent

    java.lang.Object
      com.flagstone.transform.FSMovieEvent

Deprecated. the FSMovieEvent will no longer be supported in future releases to report decoding and encoding events and to report errors. Instead methods which report errors through exceptions are preferred. If an error occurs then it is due to an error which cannot be easily recovered from therefore the FSMovieEvent will no longer be used. The FSMovieEvent class is a container class for the information generated for events while a movie is being encoded or decoded.

    public class FSMovieEvent

extends java.lang.Object

Field Summary
`static int` | `Begin` Deprecated. Identifies an event generated when an object in a movie begins to be encoded or decoded.
`static int` | `Decode` Deprecated. Identifies an event generated while a movie is being decoded.
`static int` | `Encode` Deprecated. Identifies an event generated while a movie is being encoded.
`static int` | `End` Deprecated. Identifies an event generated when an object in a movie completes being encoded or decoded.
`static int` | `Error` Deprecated. Identifies an error occurred while a movie is being encoded or decoded.
`static int` | `Value` Deprecated. Identifies a value read from the binary Flash file as it is being decoded.

Constructor Summary
`FSMovieEvent(int anAction, int anEvent, int aLocation, int aLength, java.lang.Object aValue)` Deprecated. Constructs an FSMovieEvent object reporting whether the event.

Method Summary
`int` | `getAction()` Deprecated. Returns the type of action that generated the event, either Decode when a movie is being decoded or Encode when a movie is being encoded.
`int` | `getEvent()` Deprecated. Identifies the type of event that occurred.
`int` | `getLength()` Deprecated. Identifies the number of bits involved when decoding a value.
`int` | `getLocation()` Deprecated. Identifies the offset in bits from the start of the movie where the event occurred.
`java.lang.Object` | `getValue()` Deprecated. Returns an object containing information on the event.
`java.lang.String` | `toString()` Deprecated. Generates a string representation of the event object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Encode

    public static final int Encode

  Deprecated.
  Identifies an event generated while a movie is being encoded.

  See Also:
    Constant Field Values

### Decode

    public static final int Decode

  Deprecated.
  Identifies an event generated while a movie is being decoded.

  See Also:
    Constant Field Values

### Begin

    public static final int Begin

  Deprecated.
  Identifies an event generated when an object in a movie begins to be encoded or decoded.

  See Also:
    Constant Field Values

### End

    public static final int End

  Deprecated.
  Identifies an event generated when an object in a movie completes being encoded or decoded.

  See Also:
    Constant Field Values

### Error

    public static final int Error

  Deprecated.
  Identifies an error occurred while a movie is being encoded or decoded.

  See Also:
    Constant Field Values

### Value

    public static final int Value

  Deprecated.
  Identifies a value read from the binary Flash file as it is being decoded.

  See Also:
    Constant Field Values

Constructor Detail

### FSMovieEvent

    public FSMovieEvent(int anAction,
                        int anEvent,
                        int aLocation,
                        int aLength,
                        java.lang.Object aValue)

  Deprecated.
  Constructs an FSMovieEvent object reporting whether the event.

  Parameters:
    `anAction` - identifies whether the event was generated while the movie was being encoded or decoded.
    `anEvent` - identifies the type of event, signalling either the start and end of each object being decoded, a value decoded while will be assigned to an object attributes or whether an error occurred.
    `aLocation` - identifies the offset in bits from the start of the movie where the event occurred.
    `aLength` - identifies the number of bits involved when decoding a value. This is set to zero for Begin, End and Error events.
    `aValue` - depends on the type of event generated. For Begin and End events, aValue is a String containing the name of the object being encoded or decoded. For Value events, aValue is an object wrapping the value being decoded. For Error events, aValue is an error message describing the error that occurred.

Method Detail

### getAction

    public int getAction()

  Deprecated.
  Returns the type of action that generated the event, either Decode when a movie is being decoded or Encode when a movie is being encoded.

  Returns:
    FSMovieEvent.Decode or FSMovieEvent.Encode according to whether a movie is being decoded or encoded.

### getEvent

    public int getEvent()

  Deprecated.
  Identifies the type of event that occurred. FSMovieEvent.Begin occurs when an object in a movie begins the process of being encoded or decoded. FSMovieEvent.End occurs when an object in a movie completes the process of being encoded or decoded. FSMovieEvent.Value occurs when an attribute of an object is decoded. FSMovieEvent.Error occurs when an error is detected while encoding or decoding a movie.

  Returns:
    the type of event that occurred.

### getLocation

    public int getLocation()

  Deprecated.
  Identifies the offset in bits from the start of the movie where the event occurred.

  Returns:
    the bit offset where the event occurred.

### getLength

    public int getLength()

  Deprecated.
  Identifies the number of bits involved when decoding a value. This is set to zero for Begin, End and Error events.

  Returns:
    the number of bits read from the file for the decoded value.

### getValue

    public java.lang.Object getValue()

  Deprecated.
  Returns an object containing information on the event. The object depends on the type of event generated. For Begin and End events, aValue is a String containing the name of the object being encoded or decoded. For Value events, aValue is an object wrapping the value being decoded. For Error events, aValue is String containing an error message describing the error that occurred.

  Returns:
    an object containing information associated with the event.

### toString

    public java.lang.String toString()

  Deprecated.
  Generates a string representation of the event object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string reporting the values in the attributes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD